{"openapi":"3.1.0","info":{"title":"Yareta API","description":"Repository for Research Datasets","contact":{"email":"yareta-admin@unige.ch"},"license":{"name":"GNU General Public License v2.0 or later","identifier":"GPL-2.0-or-later"},"version":"3.1.7"},"servers":[{"url":"https://admin.yareta.unige.ch","description":"Generated server url"}],"tags":[{"name":"dlcm"}],"paths":{"/preservation-planning/preservation-jobs":{"get":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreservationJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{parentid}/executions":{"get":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_list","parameters":[{"name":"completionStatus","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"runNumber","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["COMPLETED","CREATED","IN_ERROR","IN_PROGRESS","READY"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionJobExecution"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobExecution"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobExecution"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{parentid}/executions/{id}/resume":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_executions_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{id}/start":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_start","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/{id}/resume":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/search":{"get":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreservationJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationJob"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/preservation-jobs/initialize":{"post":{"tags":["preservation-planning/preservation-jobs"],"operationId":"preservation-planning_preservation-jobs_initialize","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/preservation-planning/aip/delete-cache":{"post":{"tags":["preservation-planning/aip"],"operationId":"preservation-planning_aip_delete-cache_evictCache","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-sets":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAISet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-sets/search":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAISet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-provider/oai":{"get":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_process","parameters":[{"name":"verb","in":"query","required":false,"schema":{"type":"string"}},{"name":"identifier","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataPrefix","in":"query","required":false,"schema":{"type":"string"}},{"name":"from","in":"query","required":false,"schema":{"type":"string"}},{"name":"until","in":"query","required":false,"schema":{"type":"string"}},{"name":"set","in":"query","required":false,"schema":{"type":"string"}},{"name":"resumptionToken","in":"query","required":false,"schema":{"type":"string"}},{"name":"smartView","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}},"post":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_processPost","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oai-info/oai-metadata-prefixes":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-metadata-prefixes/search":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/index/settings":{"get":{"tags":["index/settings"],"operationId":"index_settings_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexProperties"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["index/settings"],"operationId":"index_settings_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexProperties"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IndexProperties"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["index/settings"],"operationId":"index_settings_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/index/index-field-aliases":{"get":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexFieldAlias"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/IndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/index/index-field-aliases/search":{"get":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["index/index-field-aliases"],"operationId":"index_index-field-aliases_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexFieldAlias"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionIndexFieldAlias"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/public-di":{"get":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/public-di/search":{"get":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/public-di/delete-by-query":{"post":{"tags":["data-mgmt/public-di"],"operationId":"data-mgmt_public-di_delete-by-query","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/private-di":{"get":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/private-di/search":{"get":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/private-di/delete-by-query":{"post":{"tags":["data-mgmt/private-di"],"operationId":"data-mgmt_private-di_delete-by-query","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/di":{"get":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_list","parameters":[{"name":"index","in":"query","description":"Name of the index","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/di/search":{"get":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/di/delete-by-query":{"post":{"tags":["data-mgmt/di"],"operationId":"data-mgmt_di_delete-by-query","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/archive-public-data":{"get":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/archive-public-data/{id}/upload-dataset-file":{"post":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_by_id_upload-dataset-file","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"mimeType","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/data-mgmt/archive-public-data/search":{"get":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["data-mgmt/archive-public-data"],"operationId":"data-mgmt_archive-public-data_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivePublicData"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivePublicData"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users":{"get":{"tags":["admin/users"],"operationId":"admin_users_list","parameters":[{"name":"disabled","in":"query","description":"If the user is diabled.","required":false,"schema":{"type":"boolean"}},{"name":"email","in":"query","description":"The email of the user.","required":false,"schema":{"type":"string"}},{"name":"externalUid","in":"query","description":"The external UID of the user.","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"The first name of the user.","required":false,"schema":{"type":"string"}},{"name":"homeOrganization","in":"query","description":"The home organization of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginIpAddress","in":"query","description":"The IP address from last login of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginTime","in":"query","description":"The date of the user last login.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"lastName","in":"query","description":"The last name of the user.","required":false,"schema":{"type":"string"}},{"name":"lastSyncFromAuthServerTime","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/users"],"operationId":"admin_users_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/User"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/users"],"operationId":"admin_users_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/synchronize":{"post":{"tags":["admin/users"],"operationId":"admin_users_synchronize","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/search":{"get":{"tags":["admin/users"],"operationId":"admin_users_search_advancedSearch_get","parameters":[{"name":"disabled","in":"query","description":"If the user is diabled.","required":false,"schema":{"type":"boolean"}},{"name":"email","in":"query","description":"The email of the user.","required":false,"schema":{"type":"string"}},{"name":"externalUid","in":"query","description":"The external UID of the user.","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"The first name of the user.","required":false,"schema":{"type":"string"}},{"name":"homeOrganization","in":"query","description":"The home organization of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginIpAddress","in":"query","description":"The IP address from last login of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginTime","in":"query","description":"The date of the user last login.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"lastName","in":"query","description":"The last name of the user.","required":false,"schema":{"type":"string"}},{"name":"lastSyncFromAuthServerTime","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/users"],"operationId":"admin_users_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/revoke-my-tokens":{"post":{"tags":["admin/users"],"operationId":"admin_users_revoke-my-tokens","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/revoke-all-tokens/{externalUid}":{"post":{"tags":["admin/users"],"operationId":"admin_users_revoke-all-tokens_by_id_revokeAllTokens","parameters":[{"name":"externalUid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/users/new-user/{externalUid}":{"post":{"tags":["admin/users"],"operationId":"admin_users_new-user_by_id_createNewUser","parameters":[{"name":"externalUid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-policies":{"get":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_list","parameters":[{"name":"name","in":"query","description":"The name of the submission policy.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"submissionAgreementType","in":"query","description":"The submission agreement type of the submission policy.","required":false,"schema":{"type":"string","enum":["WITHOUT","ON_FIRST_DEPOSIT","FOR_EACH_DEPOSIT"]}},{"name":"submissionApproval","in":"query","description":"If approval step is mandatory for submitting a deposit.","required":false,"schema":{"type":"boolean"}},{"name":"timeToKeep","in":"query","description":"The time in days to keep completed deposit before purge.","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionPolicy"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-policies/search":{"get":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_search_advancedSearch_get","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the submission policy.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"submissionAgreementType","in":"query","description":"The submission agreement type of the submission policy.","required":false,"schema":{"type":"string","enum":["WITHOUT","ON_FIRST_DEPOSIT","FOR_EACH_DEPOSIT"]}},{"name":"submissionApproval","in":"query","description":"If approval step is mandatory for submitting a deposit.","required":false,"schema":{"type":"boolean"}},{"name":"timeToKeep","in":"query","description":"The time in days to keep completed deposit before purge.","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-policies"],"operationId":"admin_submission-policies_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionPolicy"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements":{"get":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_list","parameters":[{"name":"description","in":"query","description":"The description of the submission agreement","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"title","in":"query","description":"The title of the submission agreement","required":false,"schema":{"type":"string"}},{"name":"version","in":"query","description":"The version of the submission agreement","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements/{parentid}/users":{"get":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_list","parameters":[{"name":"disabled","in":"query","description":"If the user is diabled.","required":false,"schema":{"type":"boolean"}},{"name":"email","in":"query","description":"The email of the user.","required":false,"schema":{"type":"string"}},{"name":"externalUid","in":"query","description":"The external UID of the user.","required":false,"schema":{"type":"string"}},{"name":"firstName","in":"query","description":"The first name of the user.","required":false,"schema":{"type":"string"}},{"name":"homeOrganization","in":"query","description":"The home organization of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginIpAddress","in":"query","description":"The IP address from last login of the user.","required":false,"schema":{"type":"string"}},{"name":"lastLoginTime","in":"query","description":"The date of the user last login.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"lastName","in":"query","description":"The last name of the user.","required":false,"schema":{"type":"string"}},{"name":"lastSyncFromAuthServerTime","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionJoinResourceContainerSubmissionAgreementUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JoinResourceContainerSubmissionAgreementUser"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements/{parentid}/users/{id}":{"get":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"joinResourceId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JoinResourceContainerSubmissionAgreementUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_by_id_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionAgreementUser"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JoinResourceContainerSubmissionAgreementUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"joinResourceId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_users_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionAgreementUser"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JoinResourceContainerSubmissionAgreementUser"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements/{id}/upload-file":{"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_upload-file","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"mimeType","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements/{id}/approve":{"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_by_id_approve","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements/upload-submission-agreement":{"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_upload-submission-agreement_createItemAndUploadFile","parameters":[{"name":"title","in":"query","required":true,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"version","in":"query","required":true,"schema":{"type":"string"}},{"name":"mimeType","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/submission-agreements/search":{"get":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_search_advancedSearch_get","parameters":[{"name":"description","in":"query","description":"The description of the submission agreement","required":false,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"title","in":"query","description":"The title of the submission agreement","required":false,"schema":{"type":"string"}},{"name":"version","in":"query","description":"The version of the submission agreement","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/submission-agreements"],"operationId":"admin_submission-agreements_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmissionAgreement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubmissionAgreement"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/subject-areas":{"get":{"tags":["admin/subject-areas"],"operationId":"admin_subject-areas_list","parameters":[{"name":"code","in":"query","description":"The code of the subject area.","required":false,"schema":{"type":"string"}},{"name":"languageId","in":"query","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the subject area.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"source","in":"query","description":"The source of the subject area.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/subject-areas"],"operationId":"admin_subject-areas_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubjectArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/subject-areas"],"operationId":"admin_subject-areas_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/subject-areas/search":{"get":{"tags":["admin/subject-areas"],"operationId":"admin_subject-areas_search_advancedSearch_get","parameters":[{"name":"code","in":"query","description":"The code of the subject area.","required":false,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the subject area.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"source","in":"query","description":"The source of the subject area.","required":false,"schema":{"type":"string"}},{"name":"languageId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/subject-areas"],"operationId":"admin_subject-areas_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubjectArea"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionSubjectArea"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/subject-areas/initialize":{"post":{"tags":["admin/subject-areas"],"operationId":"admin_subject-areas_initialize","parameters":[{"name":"source","in":"query","required":false,"schema":{"type":"string","default":"SNF"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/scheduled-tasks":{"get":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionScheduledTask"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledTask"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ScheduledTask"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/scheduled-tasks/{id}/kill-task":{"post":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_by_id_kill-task","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/scheduled-tasks/search":{"get":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionScheduledTask"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledTask"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionScheduledTask"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/scheduled-tasks/schedule-enabled-tasks":{"post":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_schedule-enabled-tasks","responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/scheduled-tasks/disable-tasks-scheduling":{"post":{"tags":["admin/scheduled-tasks"],"operationId":"admin_scheduled-tasks_disable-tasks-scheduling","responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/roles":{"get":{"tags":["admin/roles"],"operationId":"admin_roles_list","parameters":[{"name":"level","in":"query","description":"The level of the role.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"name","in":"query","description":"The name of the role.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRole"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/roles"],"operationId":"admin_roles_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Role"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/roles"],"operationId":"admin_roles_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/roles/search":{"get":{"tags":["admin/roles"],"operationId":"admin_roles_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRole"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/roles"],"operationId":"admin_roles_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRole"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/rating-types":{"get":{"tags":["admin/rating-types"],"operationId":"admin_rating-types_list","parameters":[{"name":"name","in":"query","description":"The name of the rating type.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRatingType"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/rating-types"],"operationId":"admin_rating-types_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RatingType"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RatingType"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/rating-types/search":{"get":{"tags":["admin/rating-types"],"operationId":"admin_rating-types_search_advancedSearch_get","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the rating type.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRatingType"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/rating-types"],"operationId":"admin_rating-types_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RatingType"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRatingType"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/preservation-policies":{"get":{"tags":["admin/preservation-policies"],"operationId":"admin_preservation-policies_list","parameters":[{"name":"dispositionApproval","in":"query","description":"If the approval step is mandatory during the AIP disposal process.","required":false,"schema":{"type":"boolean"}},{"name":"mainStorage","in":"query","description":"The main storage indice in configuration of the preservation policy. O means default storage (first one).","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"name","in":"query","description":"The name of the preservation policy.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the preservation policy. O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/preservation-policies"],"operationId":"admin_preservation-policies_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreservationPolicy"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreservationPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/preservation-policies"],"operationId":"admin_preservation-policies_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/preservation-policies/search":{"get":{"tags":["admin/preservation-policies"],"operationId":"admin_preservation-policies_search_advancedSearch_get","parameters":[{"name":"dispositionApproval","in":"query","description":"If the approval step is mandatory during the AIP disposal process.","required":false,"schema":{"type":"boolean"}},{"name":"mainStorage","in":"query","description":"The main storage indice in configuration of the preservation policy. O means default storage (first one).","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the preservation policy.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the preservation policy. O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/preservation-policies"],"operationId":"admin_preservation-policies_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreservationPolicy"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPreservationPolicy"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people":{"get":{"tags":["admin/people"],"operationId":"admin_people_list","parameters":[{"name":"firstName","in":"query","description":"The first name of the person.","required":false,"schema":{"type":"string"}},{"name":"lastName","in":"query","description":"The last name of the person.","required":false,"schema":{"type":"string"}},{"name":"orcid","in":"query","description":"The ORCID of the person.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"verifiedOrcid","in":"query","description":"If the person ORCID is verified.","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionPerson"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/people"],"operationId":"admin_people_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Person"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Person"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/people"],"operationId":"admin_people_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/organizational-units":{"get":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_list","parameters":[{"name":"closingDate","in":"query","description":"The closing date of the organizational unit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"description","in":"query","description":"The description of the organizational unit.","required":false,"schema":{"type":"string"}},{"name":"isEmpty","in":"query","description":"If the organizational unit contains any data (deposits, sip, aip).","required":false,"schema":{"type":"boolean"}},{"name":"name","in":"query","description":"The name of the organizational unit.","required":false,"schema":{"type":"string"}},{"name":"openingDate","in":"query","description":"The opening date of the organizational unit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionRelation3TiersChildDTO"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/organizational-units/{id}":{"get":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Relation3TiersChildDTO"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/organizational-units/{id}/{grandChildId}":{"get":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"grandChildId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JoinResourceContainerJoinResourceObject"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_by_id_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"grandChildId","in":"path","required":true,"schema":{"type":"string"}},{"name":"joinResource","in":"query","required":true,"schema":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"grandChildId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrganizationalUnitPersonRole"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/organizational-units/{id}/set-role":{"post":{"tags":["admin/people"],"operationId":"admin_people_by_id_organizational-units_by_id_set-role","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/notification-types":{"get":{"tags":["admin/people"],"operationId":"admin_people_by_id_notification-types_list","parameters":[{"name":"notificationCategory","in":"query","description":"The category of the notification type.","required":false,"schema":{"type":"string","enum":["INFO","REQUEST"]}},{"name":"notifiedInstitutionManager","in":"query","description":"If the institution manage has to be notified.","required":false,"schema":{"type":"boolean"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionNotificationType"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["admin/people"],"operationId":"admin_people_by_id_notification-types_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationType"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["admin/people"],"operationId":"admin_people_by_id_notification-types_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/list-inherited-role/organizational-units/{id}":{"post":{"tags":["admin/people"],"operationId":"admin_people_by_id_list-inherited-role_organizational-units_by_id_getInheritedRole","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Role"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/admin/people/{parentid}/institutions":{"get":{"tags":["admin/people"],"operationId":"admin_people_by_id_institutions_list","parameters":[{"name":"description","in":"query","description":"The description of the institution.","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the institution.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"rorId","in":"query","description":"The ROR identifier of the institution.","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting c
[...]
